Skip to main content
GET
Read a spending plan iteration item

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

spending_plan_guid
string
required

The unique ID for the spending_plan.

iteration_item_guid
string
required

The unique ID for the iteration_item.

Query Parameters

page
integer

Results are paginated. Specify current page.

records_per_page
integer

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.

Response

200 - application/vnd.mx.api.v1+json

OK

actual_amount
number | null
Example:

345

category_guid
string | null
Example:

"CAT-40faf068-abb4-405c-8f6a-e883ed541fff"

created_at
string | null
Example:

"2016-10-13T18:08:00+00:00"

guid
string | null
Example:

"SPL-e5f9a5bd-c5b3-4901-bdc0-62119b9db262"

item_type
string | null
Example:

"1"

planned_amount
number | null
Example:

110

scheduled_payment_guid
string | null
Example:

"SCP-c731988a-712f-4f83-9b3b-0aa5b3d5208b"

spending_plan_iteration_guid
string | null
Example:

"SPI-848e6648-3fa3-4632-ac8f-e65f03167102"

top_level_category_guid
string | null
Example:

"CAT-9588eaad-90a4-bb5c-66c8-1812503d0db8"

transaction_guids
(string | null)[]
Example:

"TRN-265abee9-889b-af6a-c69b-25157db2bdd9"

updated_at
string | null
Example:

"2016-10-13T18:09:00+00:00"

user_guid
string | null
Example:

"USR-fa7537f3-48aa-a683-a02a-b18940482f54"